# QWorkspace Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QWorkspace(QWidget parent)

### Constructor Properties

- prototype: The QWorkspace prototype object
- CreationOrder
- StackingOrder
- WindowOrder( value )

### Prototype Object Properties

The QWorkspace prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QWidget activeWindow()
- QWidget addWindow(QWidget w, WindowFlags flags)
- QSize sizeHint()
- List windowList(WindowOrder order)

### Instance Properties

QWorkspace objects inherit properties from the QWorkspace prototype object and also have the following properties.

- scrollBarsEnabled
- background